Balances

Historical EODB balances of a specific account

To retrieve historical End Of Day Balance balances of a specific account, use closingBookedReferenceDate in the query param.

📘

closingBookedReferenceDate must contain a date in the past up to 15 months.

This returns the requested closingBooked balance with the ReferenceDate, along with the current expected and interimBooked balance.

The closingBooked balance is calculated in the first hour after midnight. During the calculation, the closingBooked balance is not available and only the expected balance is returned.

📘

The interim booked balance is not available for savings accounts.

Piggy banks

To access piggy bank information, users must provide separate consent. When consent is given all existing savings piggy banks are returned in the response.

If there are no piggy banks related to the account, only the account balances are provided.

Step 1 - Retrieve account-id

Endpoint:

Read Account List
GET /payments/insight/accounts

Purpose: Before making a request to balance endpoint, you must obtain the account-id by using the Read Account List endpoint of the Business Account Insight - Accounts API.

Step 2 - Retrieve balance information

Endpoint:

Read balance
GET accounts/{account-id}/balances

Purpose: This endpoint helps you retrieve the balance of a specific account.

Download API Specification


Did this page help you?